var __rest = (this && this.__rest) || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
    t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function")
    for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
      if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
        t[p[i]] = s[p[i]];
    }
  return t;
};
import { h } from '@stencil/core';
import { applyProps } from '../../../core/components/common';
const PrismicResponsiveImage = (_a) => {
  var { image, loading = 'lazy', params, width, height } = _a, props = __rest(_a, ["image", "loading", "params", "width", "height"]);
  if (!image.url)
    return;
  const paramString = params ?
    Object.entries(params).reduce((acc, cur) => {
      const regex = new RegExp(`\\?.*${cur[0]}=`);
      if (!image.url.match(regex)) {
        return `${acc}${acc.match(/^\?$/) ? '' : '&'}${cur.join('=')}`;
      }
      return acc;
    }, image.url.match(/\?/) ? '' : '?') : '';
  const imageUrl = new URL(image.url + paramString);
  const dimensions = {
    'width': width ? width : imageUrl.searchParams.get('w'),
    'height': height ? height : imageUrl.searchParams.get('h'),
  };
  return (h("img", Object.assign({}, applyProps(props), { loading: loading, src: `${imageUrl}` }, { 'srcset': image['1x'] ? `${image['1x'].url}${paramString} 1x, ${imageUrl} 2x` : undefined }, dimensions, { alt: image.alt })));
};
export { PrismicResponsiveImage };
